GSI Forum
GSI Helmholtzzentrum für Schwerionenforschung

Home » Scientific Computing » GO4 » Problems with GO4 installation
Re: Problems with GO4 installation [message #927 is a reply to message #926] Wed, 15 September 2004 13:56 Go to previous messageGo to previous message
Jörn Adamczewski-Musch is currently offline  Jörn Adamczewski-Musch
Messages: 12
Registered: June 2004
Location: GSI, Darmstadt
occasional visitor
From: depc99.gsi.de
Hello Yuri, hello world!

The problem you described stems from
the combination of X system and Qt on your machine.
This has also been reported e.g. for fedora2 and SuSe9.1
systems.

Unfortunately, the Qtroot interface of Go4 <=v2.7 has
problems with Qt versions >3.1 in connection with newer
X11 libraries. This was caused by a wrong order of
X-initialization calls that did not matter before, but
shows up now(Qt-init before ROOT-init).

This is already fixed in the next Go4 v.2.8
which is going to be released within the next 2 weeks.

If you don't want to wait for the next release,
we recommend to install and use Qt 3.1.1 to work with Go4 versions <=v2.7.
(old Qt tarball is available on gsi linux after
". go4login pro" at $QTDIR)

Best regards,

Joern
 
Read Message
Read Message
Read Message
Read Message
Read Message
Previous Topic: Go4 installation "new" upgraded to 2.7.2
Next Topic: Go4 workshops October 2004, 1st announcement
Goto Forum:
  


Current Time: Tue Nov 30 09:33:25 CET 2021

Total time taken to generate the page: 0.02406 seconds